Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 82762 - Trouble with browsing help files
Summary: Trouble with browsing help files
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ImageMagick
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jonathan Blandford
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-26 01:29 UTC by Michal Jaegermann
Modified: 2013-04-02 04:17 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-05-12 12:09:07 UTC


Attachments (Terms of Use)

Description Michal Jaegermann 2003-01-26 01:29:29 UTC
Description of problem:

In ImageMagick actions panel clicking on "Browse Documentation" brings on
always "Unable to browse" (or something like that) alert which is
followed, but only if a machine is connected to a network and if browser
works, with a browser displaying http://www.imagemagick.org/.
Actually all required documentation, likely corresponding to a version
in user while www.imagemagick.org is already waaay ahead, is already
installed on a hard disk _twice_!  Once in /usr/share/ImageMagick/
and the second time (these are not links but separate files) in
/usr/share/doc/ImageMagick-5.4.7/

Here are ALL differences between these two directories:

Only in /usr/share/ImageMagick/: colors.mgk
Only in /usr/share/ImageMagick/: Copyright.txt
Only in /usr/share/ImageMagick/: delegates.mgk
Only in /usr/share/ImageMagick/: magic.mgk
Only in /usr/share/ImageMagick/: modules.mgk
Only in /usr/share/ImageMagick/: QuickStart.txt
Only in .: README.txt
Only in /usr/share/ImageMagick/: type-ghostscript.mgk
Only in /usr/share/ImageMagick/: type.mgk
Only in /usr/share/ImageMagick/: type-solaris.mgk
Only in /usr/share/ImageMagick/: type-windows.mgk
Only in ./www/Magick++: COPYING

So one wonders why after all this trouble not to check for a documentation
on a local disk first instead of displaying "Unable ..."?

Version-Release number of selected component (if applicable):
ImageMagick-5.4.7-9

How reproducible:
Always


Note You need to log in before you can comment on or make changes to this bug.